Page MenuHomePhabricator

New Watchlist UI with edit filters breaks unwatch links next to entries
Closed, ResolvedPublic

Description

T2424: Add a direct unwatch link to entries on Special:Watchlist is broken by the new Watchlist UI. The unwatch links fail to appear. To test this out, enable watch/unwatch links from Preferences > Watchlist and go to the watchlist with the new filters enabled.

Event Timeline

Niharika created this task.Sep 19 2017, 8:48 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 19 2017, 8:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

"Add direct unwatch/watch links to watchlist entries (JavaScript required for toggle functionality)' is broken only when 'Grouped by page' option is enabled. Otherwise, it works with filters.

Looks like this only breaks in grouped ("enhanced") mode, in non-grouped mode it works fine.

Where is the 'Grouped by page' option?

Change 379121 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Don't hide mw-changeslist-line-prefix in enhanced mode

https://gerrit.wikimedia.org/r/379121

Where is the 'Grouped by page' option?

It's in the RC preferences, and also toggleable under the "Show N changes" dropdown, or with ?enhanced=1.

Got it. Thanks. Having the preference for watchlist page grouping under 'Recent changes' is unintuitive IMO. It should live under 'Watchlist' preferences.

Much of the Preference organization is illogical. We are planning to completely reorganize and consolidate the preferences, as detailed in T172350 and its sub-tasks.

Change 379121 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Don't remove mw-changeslist-line-prefix in enhanced mode

https://gerrit.wikimedia.org/r/379121

Shizhao added a project: User-notice.

@Shizhao: I don't see why?

Change 379289 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@wmf/1.30.0-wmf.19] RCFilters: Don't remove mw-changeslist-line-prefix in enhanced mode

https://gerrit.wikimedia.org/r/379289

Change 379289 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.19] RCFilters: Don't remove mw-changeslist-line-prefix in enhanced mode

https://gerrit.wikimedia.org/r/379289

The patch makes the 'x'es appear, but they don't actually work in the new UI (neither in enhanced mode nor in non-enhanced mode). When you click the 'x' in the new UI in non-enhanced mode, it goes to a new page rather than using AJAX, and in enhanced mode it does nothing at all.

Checked in betalabs - the direct links to watch/unwatch are displayed in non-grouped and grouped mode:

Etonkovidova closed this task as Resolved.Sep 20 2017, 7:53 PM
Etonkovidova triaged this task as Normal priority.
Niharika reopened this task as Open.Sep 20 2017, 8:29 PM

Per.

The patch makes the 'x'es appear, but they don't actually work in the new UI (neither in enhanced mode nor in non-enhanced mode). When you click the 'x' in the new UI in non-enhanced mode, it goes to a new page rather than using AJAX, and in enhanced mode it does nothing at all.

The action of clicking on watch/unwatch list is difficult to see now in betalabs since there are problems with maintaining proper user sessions. However, the fix worked properly - displaying a popup informing user that the page was, indeed, deleted from the watchlist and crossing out and greying out unwatched pages.

Currently - there are two issues present (most likely due to the above mentioned issue in betalabs).

  • missing 'x'

  • redirecting to a different page when the cross icon is clicked

I will be re-checking the issue periodically, waiting when betalabs will be more cooperating.

That's how the result of the action of clicking on 'x' is supposed to look :

Change 379716 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] RCFilters: restore watch/unwatch link

https://gerrit.wikimedia.org/r/379716

Change 379716 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: restore watch/unwatch link

https://gerrit.wikimedia.org/r/379716

Re-checked - it seems to be working (betalabs still has some user session handling issues, so often a user is kicked out after clicking on x due to the user session re-assessment).

  • All entries on Watchlist are displayed with x. There are log entries - Move log, Protect log etc - that have x. Clicking on it will remove moved/protected pages from a user's Watchlist.
  • Grouped changes to a page have x which will remove the watched page.

  • After removing a page from Watchlist via x, the page can be added to Watchlist by clicking on +

There is a bug T176684: Unwatch/watch links are not displayed for grouped Move log entries which needs to be triaged.

Etonkovidova closed this task as Resolved.Sep 26 2017, 12:04 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 15 2018, 9:59 AM